Light APIv1.0.0

API / Reference / Credit Notes

Archive credit note

POST https://api.light.inc/v1/credit-notes/{creditNoteId}/archive

Archives the credit note. If the credit note has been posted, it will be reversed in the ledger. A credit note with active links to invoice payables cannot be archived — unlink first.

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • creditNoteId string · uuidrequired

Response

  • id string · uuid

    Unique identifier for the object

  • companyId string · uuid

    ID of the company

  • companyEntityId string · uuid

    ID of the entity

  • amount integer · int64

    Total credit note amount in cents

  • businessPartnerName string

    Name of the vendor

  • businessPartnerId string · uuid

    ID of the vendor

  • status string

    Status of the credit note

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of DRAFT APPROVAL_PENDING APPROVED POSTED PARTIALLY_CLEARED CLEARED ARCHIVED

  • description string

    Description of the credit note

  • currency string

  • postingDate string · date

    Date when the credit note should be posted to the ledger

  • documentDate string · date

    Date when the credit note was issued

  • valuationDate string · date

    Date used when applying foreign exchange rate

  • areLinesWithTax boolean

    Whether the credit note line amount is inclusive of tax or not. True means tax is already included in the line amount and will not be added on top, false means tax will be added on top of the line amount

  • lines array of object

    List of credit note line items

    • id string · uuid

      Unique identifier for the object

    • companyId string · uuid

      ID of the company

    • creditNoteId string · uuid

      ID of the credit note this line belongs to

    • grossTransactionAmount object

      • amount integer · int64

      • dcSign string

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of D C

    • netTransactionAmount object

      • amount integer · int64

      • dcSign string

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of D C

    • description string

      Description of the credit note line item

    • ledgerTaxId string · uuid

      ID of the tax code

    • taxTransactionAmount object

      • amount integer · int64

      • dcSign string

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of D C

    • ledgerAccountId string · uuid

      ID of the ledger account

    • costCenterId string · uuid

      ID of the cost center

    • createdAt string · date-time

      Timestamp when the credit note line item was created

    • updatedAt string · date-time

      Timestamp when the credit note line item was last updated

    • accrualTemplateId string · uuid

      ID of the accrual template

    • accrualStartDate string · date

      Start date for accrual

    • accrualEndDate string · date

      End date for accrual

    • accrualDefaultDuration integer · int32

      Default duration for accrual in months

  • createdAt string · date-time

    Timestamp when the credit note was created

  • updatedAt string · date-time

    Timestamp when the credit note was last updated

  • updatedBy string · uuid

    ID of the user who last updated the credit note

  • localCurrencyFxRate number

    FX rate applied for the ledger's local currency

  • groupCurrencyFxRate number

    FX rate applied for the ledger's group currency

  • senderEmail string

    The email of the user who sent the document that this credit note was created from

  • documentName string

    The name of the document that this credit note was created from